*,
*::after,
*::before {
  box-sizing: border-box;
}

* {
  margin: 0;
}

* {
  line-height: 1.5;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}

body {
  background-image: url("images/pattern-background-mobile.svg");
  background-repeat: no-repeat;
  background-color: hsl(225, 100%, 94%);
  font-family: "Red Hat Display", sans-serif;
  color: hsl(223, 47%, 23%);
}

.container {
  max-width: 88%;
  margin: 25% auto;
  background-color: white;
  text-align: center;
  border-radius: 15px;
  padding-bottom: 30px;
}

.main-image {
  border-top-right-radius: 15px;
  border-top-left-radius: 15px;
}

.order {
  margin: 20px 0 18px 0;
  font-weight: 900;
}

.first-para {
  color: hsl(224, 23%, 55%);
  max-width: 78%;
  margin: 0 auto;
}

.sub-container {
  max-width: 85%;
  margin: 30px auto;
  border-radius: 12px;
  display: flex;
  align-items: center;
  padding: 25px 10px 25px 10px;
  background-color: hsl(225, 100%, 98%);
}

.second-image {
  background-color: hsl(225, 100%, 94%);
  border-radius: 50%;
}

.payment-plan {
  font-size: 14px;
  margin: 0 50px 0 13px;
}

.payment-plan h3 {
  font-weight: 900;
}

.payment-plan p {
  font-size: 17px;
  color: hsl(224, 23%, 55%);
}

.change {
  font-weight: 700;
  font-size: 13px;
}

.change:active {
  text-decoration: none;
  color: hsl(224, 23%, 55%);
}

.payment {
  width: 85%;
  border: none;
  padding: 15px 0 15px 0;
  background-color: hsl(245, 75%, 52%);
  border-radius: 12px;
  color: white;
  font-weight: 700;
  box-shadow: 0 10px 20px 5px hsl(225, 100%, 94%);
  margin-bottom: 20px;
}

.payment:active {
  background-color: hsl(224, 23%, 55%);
}

.cancel-order {
  font-weight: 700;
  color: hsl(224, 23%, 55%);
}

.cancel-order:active {
  color: hsl(223, 47%, 23%);
}

.attribution {
  font-size: 11px;
  text-align: center;
  margin-bottom: 20px;
}
.attribution a {
  color: hsl(223, 47%, 23%);
  text-decoration: none;
  font-size: 12px;
}

@media (min-width: 768px) {
  body {
    background-image: url("images/pattern-background-desktop.svg");
    background-repeat: no-repeat;
  }
  .container {
    max-width: 30%;
    margin: 5% auto;
  }

  .main-image {
    padding: 0 0;
  }

  .order {
    margin: 40px 0 10px 0;
  }

  .payment-plan {
    margin-right: 70px;
  }

  .sub-container {
    max-width: 80%;
  }

  .payment {
    max-width: 80%;
  }
}
